AutoCAD .NET :: Create Group For The Object Be Selected
Dec 21, 2013
I want to create a group for the object be selected. but the following code doesn't work.
[CommandMethod("gr")]
public static void SelectObjectsOnscreen()
{
//Get the current document and database
Document acDoc = Application.DocumentManager.MdiActiveDocument;
Database acCurDb = acDoc.Database;
[code]....
View 2 Replies
ADVERTISEMENT
Aug 14, 2013
I need to create a series of "trays" that are in the shape of letters. I am having some success with certain letters, but zero success with others.
I am creating these letters using a curve brought in from illustrator, and sweeping the profile that I want to use around the curve to create the outside.I am then using presspull to create the base of the tray.
However, sometimes the sweep command will simply say "unable to sweep 1 selected object" with no explanation as to why.
Sometimes I will get the shape that I want, but it is facing the wrong way, and I cannot fix it. Other times it will simply stall and then delete both the curve and the profile.
View 9 Replies
View Related
Nov 27, 2012
Is there a way to create an object/group in Illustrator and then copy it across one document in multiple places (multiple art boards, etc.) - allowing the designer to then update the original and seeing the changes cascade to all copies?
I know this can be done using InDesign by linking an Illustrator file and making subsequent updates to that Illustrator file. But I do not want to use InDesign, I want to use Illustrator. What I want is much like creating Symbols in Flash, updating one will cascade throughout the file.
View 6 Replies
View Related
Dec 29, 2011
the expression in question is part of larger lisp routine to create and rotate text based on the object selected and the viewtwist variable (we use dview twist to rotate our views when needed)
So the expression in question:
(< (/ pi 2) ang (* pi 1.5)
where ang is the total angle used to determine proper rotation of the text.
Now the problem. In most cases where ang = 90 (or 1.5708 radians) this works fine. the two exceptions i have encountered
in testing are a line at 70 degress, viewtwist 20, and line at 50, viewtwist 40. For whatever reason at these two conditions the expressoin evaulates True instead of nil and rotates the entire text object incorrectly (180 degrees). So question is how exactly is this being evaluated? i know its comparing ang (* pi 1.5) to (/ pi 2). is there some sort of rounding error? or maybe the expression needs a wee bit more definition? attached image and full lisp routine for reference of what is happening, blue text is angle of the line as created by routine at viewtwist 0.
View 1 Replies
View Related
Jul 13, 2012
I recently upgraded from AutoCAD 2011 to 2013 and now when i select an object that is part of a group, the objects in the group are selected/highlighted, but there is also a box drawn around the group.
View 1 Replies
View Related
Jul 17, 2013
I having real difficulty finding a lisp that will find and replace blocks. There are plenty out there and AutoCAD 2013 and lower has a Find and Replace Blocks. However, the frustrating catch is I can seem to find a routine that will allow me to replace only those blocks that I select with a selection set of my choosing. The built in function replaces all of them and will not let you exclude some. We have PID drawings that we want to replace valves on, but not all valves. We don't want to rename. We don't need to BEDIT the existing block.
1) Pick group of blocks
2) specify a new block that will replace all instances of old block
3) replace inserted block with different block. Leaving others alone.
I'm thinking this should be easy, but my search has failed. The blocks in question are not dynamic or attributed either.
View 3 Replies
View Related
Oct 17, 2012
I'm using CS5. When I click on an object within a group containing only that object, appearance tap shows the group's appearance. I can't select the object when the group only has one object. So if I want to modify the object, I have to ungroup or add additional object into the group.
View 3 Replies
View Related
Mar 30, 2011
I have some edges on my models that dont cooperate when i click Loop. They're inline with each other but it wont loop for some reason. Is there anyway to tell 3dsmax "hey this is an edge loop.... turn it into an edge loop selection."? i use the cut tool, insets, bevel etc and some edges loose the ability to be selected as loops
View 3 Replies
View Related
Feb 18, 2014
When I select the Document Library option when making a color image trace, the colors shift in the image but do not match the selected color group. I've tried multiple color groups, and the colors always change, but never match the selected swatches.
View 1 Replies
View Related
Dec 14, 2013
Resizing objects is a mess in CorelDRAW X6 when objects are outlined with Scale With Object enabled to retain proportions after resizing.
None of the tools dealing with outlines (e.g. Contour or even Outline itself) continue to work properly after resizing the object.
I strongly suggest to recalculate outline property values after resizing if Scale With Object is checked. Don't just do it hidden somewhere internally in the object model by applying a temporary scaling factor. Instead actually recalculate the actual property values if Scale With Object is checked.
CorelDRAW Graphic Suite X6.4 @ Windows 7/Windows 8 - 64 Bit, Windows Server 2008 R2, Windows Server 2012
View 9 Replies
View Related
Nov 22, 2013
I'm working with 27 artboard in illustrator for one project. I would like to select the object I need to get to in my layers panel and have illustrator "jump/navigate" me to the object where it resides on the artboard. Is this possible?
View 3 Replies
View Related
Aug 24, 2012
I am getting "Undefined group code 440 for object on line 3222." when I try to load a DXF back into CAD.
View 1 Replies
View Related
Dec 17, 2012
I drew a solid model of a structure in Autocad 2010. By using that model, I want to make a FEM analysis in Sap2000. The problem is that Sap2000 takes only polygon meshes (not solids) in 3d. The question is that how can i make a group of polygon meshes of the solid model that represents the structure.
(Since i am not an expert of Autocad, i will be glad if the solution is explained in a simple language.)
View 6 Replies
View Related
Aug 15, 2012
I am writing a code to select an object (crossing) and to stretch it a certain distance on the y axis. This is the code that I have to select the object, but I cannot find what to use to stretch it. I actually found something to scale it, but it is not what I need. With ThisDrawing.Utility
Dim SP1sel1(0 To 2) As Double
Dim SP1sel2(0 To 2) As Double
Dim objSS As AcadSelectionSe
Set objSS = ThisDrawing.SelectionSets.Add("zzadsaaafatt")
' Select the object
[code]....
View 7 Replies
View Related
Nov 12, 2012
I want to create a new Tool Palette Group. How can I do?
View 6 Replies
View Related
Apr 10, 2013
When trying to open the dxf file provided by my customer in AutoCAD 2013, it terminates with the error message as
'Undefined group code 440 for object on line 4974 Invalid or incomplete DXF input -- drawing discarded.'
View 1 Replies
View Related
May 11, 2011
I am getting the error message 'Path curve is coplanar with or tangent to the plane of the profile curve.Unable to extrude the selected object.'
when I try an extrude this shape around this rectangular shape below.
extrude.gif
extrude2.gif
View 5 Replies
View Related
Nov 28, 2012
How to create a group? I want to create a unnamed group for a text and box
View 1 Replies
View Related
Aug 21, 2012
Undefined group code 10 for object on line 2106.
Invalid or incomplete DXF input -- drawing discarded.
I created stream profiles in RASPLOT using its DXF Editor but when I try to open up the DXFs in AutoCAD I get the above error.
View 3 Replies
View Related
Apr 9, 2012
how to add an object to a group?
As I remember somewhere read that there is some way of it without ungrouping, however now reading the Designer Pro help it seems that is needed
To add more objects to a group
Select the group.
Ungroup ("Ctrl + U")
Select the extra objects.
Group again ("Ctrl + G")
Basically this group is a repeating object on several pages so maybe would not touch that with ungrouping, but of course if there will be no other choice
View 8 Replies
View Related
Oct 4, 2012
i am drawing a chamfered-counterbored cylinder... i meet the problem: unable to revolve the selected object ! After i convert the object i drawng to closed Polyline path with the Pedit command, it cant be revolve !
View 1 Replies
View Related
Dec 4, 2012
Prior to the latest drawing editor crash, the display in my LAYERS toolbar would always display the layer of any single object that I would select without a command being active. After recovering, I find that this feature no longer operates.
View 1 Replies
View Related
Jul 28, 2012
I've been following the Convert 2D to 3D video that is given in the Help section of AutoCAD 2012, and whenever I try to sweep the handle using the same methods that were used in the video it says that it is unable to sweep 1 selected object (when I select the path). I've attached the DWG file.
Also, when I went to use the 3D align feature I did exactly as the video did, but my handle wouldn't align with the side of the mug. It kept lining up with the side but never between the top and bottom of the mug like you'd expect. I kept having to move it to get it down where it needed to be.
View 3 Replies
View Related
Dec 20, 2012
How do I get back this information on a selected object? (I tried to speed up a laggy ACAD of a friend and switched off too many things, obviously...)
Used Version: AutoCAD 2011
Untitled-1.jpg
View 3 Replies
View Related
Aug 22, 2013
as the subject states, at some point (I believe after uninstalling autodesk 360), our properties tool pallete will not populate info for the selected object. is there a fix other than re-installing from scratch? The installation fixer didn't work, and I've had to re-install twice now for other issues with the software, so it's getting very costly/time consuming to just re-install for these problems.
View 9 Replies
View Related
Jun 18, 2013
If I select some objects (i.e. pipe, feature line, etc.) and right click to bring up my shortcuts, I click on SOME commands (i.e. object viewer, elevation editor, etc....respectively, the command does not progress....it forces me back to a selection box cursor and I have to reselect the object.
For example, I select a pipe, I then right click, shortcut menu pops up, I select "object viewer", and then my previous slection is not granted and it asked for a new selection (it used to always just proceed with the command), I then have to select the pipe I had previously seleted, and the command proceeds as normal.
not a bid deal, but it slowing down my productivity having to select these items twice. The wierd thing is that it is not like this with all of my right click short cut commands...only a few!?
View 1 Replies
View Related
Oct 15, 2013
Is there a way to create a point group of random points within a drawing and adjust the elevations for the points within that group? Some of the points in the group may have been manually created and some may have been imported by way of "Import Events"..
View 3 Replies
View Related
Jan 16, 2013
When I set a layer as current, every object or line I select in the drawing appear to be on that layer in the toolbar. Although in the properties toolbox, I see that the line I selected is still on the right layer.
I can't work in paperspace either, when I freeze a layer it freezes all objects. It seems like whenever I give a different layer to an object, it attributes to all object that same layer.
When I open the same drawing in acad 2008, everything is ok, the objects have the proper layers.
Is there a command for that or it's an acad 2013 problem?
View 9 Replies
View Related
Aug 7, 2013
Using Nentsel function, I can get info on a object that is nested with an Xref. Is there a way to move the selected object using ObjectDBX?
View 9 Replies
View Related
Jun 3, 2013
How to make a lisp command that will select all objects in the drawing?
View 3 Replies
View Related
Sep 9, 2011
I thought this would be a simple tblsearch process, but as far as I can tell, there isn't a tblsearch symbol table for vplayer settings, so I need to get more creative I guess.
I want to be able to get the vplayer color of a selected object as part of a larger routine I'm putting together.
View 8 Replies
View Related